<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="2dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="@dimen/text_size_16sp"
        app:cardElevation="2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/posm_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_layout_margin11"
                android:text="Header"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_small18"
                android:textStyle="normal"
                android:layout_margin="@dimen/custom_margin3dp"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="6dp"
                android:orientation="horizontal"
                android:weightSum="10">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="4"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_layout_margin11"
                    android:text="Exists"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_16sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/posm_btn_first"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/custom_margin35dp"
                    android:layout_gravity="center"
                    android:layout_weight="3"
                    android:background="@drawable/rouded_corner_pinki"
                    android:gravity="center"
                    android:padding="10dp"
                    android:text="Yes"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_13sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/posm_btn_second"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/custom_margin35dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_weight="3"
                    android:background="@drawable/rouded_corner_pinki"
                    android:gravity="center"
                    android:padding="10dp"
                    android:text="No"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_13sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/rl_child_promotion"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/text_size_13sp"
                android:orientation="horizontal"
               android:visibility="gone"
                android:weightSum="10">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="5"
                    android:gravity="center_vertical"
                    android:padding="8dp"
                    android:text="Picture"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_16sp"
                    android:textStyle="normal" />

                <ImageView
                    android:id="@+id/img_promotion"
                    android:layout_width="0dp"
                    android:layout_height="45dp"
                    android:layout_weight="5"
                    android:gravity="center"
                    android:src="@mipmap/camera_bs" />
            </LinearLayout>


            <LinearLayout
                android:id="@+id/promotion_rl_non"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/text22dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="@dimen/text22dp"
                android:layout_marginBottom="5dp"
                android:orientation="vertical"
                android:visibility="gone"
                android:layout_gravity="center"
                android:gravity="center">

                <Spinner
                    android:id="@+id/promotion_spin"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"/>
            </LinearLayout>


            <TextView
                android:id="@+id/reference_img"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/custom_layout_margin"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginRight="@dimen/custom_layout_margin"
                android:layout_marginBottom="@dimen/custom_margin"
                android:gravity="right"
                android:padding="7dp"
                android:text="Reference Image"
                android:textColor="@color/blue"
                android:textSize="@dimen/text_size_13sp"
                android:textStyle="normal" />

        </LinearLayout>


    </androidx.cardview.widget.CardView>
</LinearLayout>